Zydis: ZydisDecodedInstructionAvx_ Struct Reference

Zydis v4.1.0

Loading...
Searching...
No Matches
Data Structures | Data Fields
ZydisDecodedInstructionAvx_ Struct Reference

Extended info for `AVX` instructions. More...

`#include <DecoderTypes.h>`

## Data Structures
struct | ZydisDecodedInstructionAvxBroadcast_
| Contains info about the `AVX` broadcast. More...
struct | ZydisDecodedInstructionAvxConversion_
| Contains info about the `AVX` data-conversion (`KNC` only). More...
struct | ZydisDecodedInstructionAvxMask_
| Info about the embedded writemask-register (`AVX-512` and `KNC` only). More...
struct | ZydisDecodedInstructionAvxRounding_
| Contains info about the `AVX` rounding. More...
struct | ZydisDecodedInstructionAvxSwizzle_
| Contains info about the `AVX` register-swizzle (`KNC` only). More...

## Data Fields
ZyanU16 | vector_length
| The `AVX` vector-length.
struct ZydisDecodedInstructionAvx_::ZydisDecodedInstructionAvxMask_ | mask
struct ZydisDecodedInstructionAvx_::ZydisDecodedInstructionAvxBroadcast_ | broadcast
struct ZydisDecodedInstructionAvx_::ZydisDecodedInstructionAvxRounding_ | rounding
struct ZydisDecodedInstructionAvx_::ZydisDecodedInstructionAvxSwizzle_ | swizzle
struct ZydisDecodedInstructionAvx_::ZydisDecodedInstructionAvxConversion_ | conversion
ZyanBool | has_sae
| Signals, if the `SAE` (suppress-all-exceptions) functionality is enabled for the instruction.
ZyanBool | has_eviction_hint
| Signals, if the instruction has a memory-eviction-hint (`KNC` only).

## Detailed Description

Extended info for `AVX` instructions.

## Field Documentation

## ◆ broadcast

struct ZydisDecodedInstructionAvx_::ZydisDecodedInstructionAvxBroadcast_ broadcast

## ◆ conversion

struct ZydisDecodedInstructionAvx_::ZydisDecodedInstructionAvxConversion_ conversion

## ◆ has_eviction_hint

ZyanBool has_eviction_hint

Signals, if the instruction has a memory-eviction-hint (`KNC` only).

## ◆ has_sae

ZyanBool has_sae

Signals, if the `SAE` (suppress-all-exceptions) functionality is enabled for the instruction.

## ◆ mask

struct ZydisDecodedInstructionAvx_::ZydisDecodedInstructionAvxMask_ mask

## ◆ rounding

struct ZydisDecodedInstructionAvx_::ZydisDecodedInstructionAvxRounding_ rounding

## ◆ swizzle

struct ZydisDecodedInstructionAvx_::ZydisDecodedInstructionAvxSwizzle_ swizzle

## ◆ vector_length

ZyanU16 vector_length

The `AVX` vector-length.

The documentation for this struct was generated from the following file:

- include/Zydis/DecoderTypes.h